
clear
* use "stata_input"** 

set more off 

forvalues i=40/63 {
rename var`i' var_`i'
}

forvalues i=65/88 {
rename var`i' var_`i'
}

****put in 06-07 averages***
drop lamda_usn 
gen lamda_usn = .141
drop lamda_uln
gen lamda_uln = .239 



forvalues i=2/`=_N' {
	forvalues j = 1/23 {
	replace u_0 = employed[_n-1]*lamda_eu[_n-1]*var_65/100 + notinthelaborforce[_n-1]*lamda_nu[_n-1]*var_40/100 in `i'
	replace notinthelaborforce = notinthelaborforce[_n-1] *(1 - lamda_nu[_n-1] - (s[1] * m_0[1] * (vacancies[_n-1]/(u_short[_n-1] + gamma_1[1] * u_long[_n-1] + s[1]* notinthelaborforce[_n-1]))^(1-alpha[1]))) + employed[_n-1] * lamda_en[_n-1] + u_long[_n-1] * lamda_uln[_n-1] + u_short[_n-1] * lamda_usn[_n-1] in `i' 
	local eu_num = 65 + `j'
	local nu_num = 40 + `j'
	local one_before = `j' - 1
	di `one_before'
	replace u_`j' = employed[_n-1]*lamda_eu[_n-1]*var_`eu_num'/100 + notinthelaborforce[_n-1]*lamda_nu[_n-1]*var_`nu_num'/100 + u_`one_before'[_n-1] * ( 1 - lamda_usn[_n-1] - m_0[1] * (vacancies[_n-1]/(u_short[_n-1] + gamma_1[1] * u_long[_n-1] + s[1]* notinthelaborforce[_n-1]))^(1-alpha[1]))  in `i' if `j'<=5
	replace u_`j' = employed[_n-1]*lamda_eu[_n-1]*var_`eu_num'/100 + notinthelaborforce[_n-1]*lamda_nu[_n-1]*var_`nu_num'/100 + u_`one_before'[_n-1] * ( 1 - lamda_uln[_n-1] - m_0[1] * gamma_1[1] * (vacancies[_n-1]/(u_short[_n-1] + gamma_1[1] * u_long[_n-1] + s[1]* notinthelaborforce[_n-1]))^(1-alpha[1])) in `i' if `j'>=6 
	replace u_`j' = employed[_n-1]*lamda_eu[_n-1]*var_`eu_num'/100 + notinthelaborforce[_n-1]*lamda_nu[_n-1]*var_`nu_num'/100 + (u_`one_before'[_n-1] + u_`j'[_n-1]) * ( 1 - lamda_uln[_n-1] - m_0[1] * gamma_1[1] * (vacancies[_n-1]/(u_short[_n-1] + gamma_1[1] * u_long[_n-1] + s[1]* notinthelaborforce[_n-1]))^(1-alpha[1]))  in `i' if `j'==23 
	
	replace u_short = u_0 + u_1 + u_2 + u_3 + u_4 + u_5 
	replace u_long = u_6 + u_7 + u_8 + u_9 + u_10 + u_11 + u_12 + u_13 + u_14 + u_15 + u_16 + u_17 +  u_18 + u_19 + u_20 +  u_21 +    u_22 + u_23  
	replace employed = total_pop[1] - u_short - u_long - notinthelaborforce
}
}

gen u_rate = (u_short + u_long) / (u_short + u_long + employed)
